package de.avatic.lcc.model.taric;

import java.time.LocalDate;

/**
 * Represents a footnote reference
 */
public class Footnote {


    private String footnote;

    private LocalDate startDate;

    private LocalDate endDate;

    private FootnotesDesc footnotesDesc;

    public String getFootnote() {
        return footnote;
    }

    public void setFootnote(String footnote) {
        this.footnote = footnote;
    }

    public LocalDate getStartDate() {
        return startDate;
    }

    public void setStartDate(LocalDate startDate) {
        this.startDate = startDate;
    }

    public LocalDate getEndDate() {
        return endDate;
    }

    public void setEndDate(LocalDate endDate) {
        this.endDate = endDate;
    }

    public FootnotesDesc getFootnotesDesc() {
        return footnotesDesc;
    }

    public void setFootnotesDesc(FootnotesDesc footnotesDesc) {
        this.footnotesDesc = footnotesDesc;
    }
}